This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 426939 - fixed Xft.dpi Xresource causes wrong-sized text
fixed Xft.dpi Xresource causes wrong-sized text
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 12:15 EST by Stefan Paletta
Modified: 2014-06-18 05:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:02:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Paletta 2007-12-28 12:15:01 EST
Sorry, but what kind of fucked up non-solution is it to have "Xft.dpi: 96" 
in /etc/X11/Xresources?

It causes text to appear in the wrong size, unless one happens to have a 
display that actually has that resolution.
Comment 1 Matěj Cepl 2008-01-10 10:20:31 EST
Put the string "Xft.dpi: 96" (with quotes) into google and educate yourself.
Comment 2 Stefan Paletta 2008-01-10 13:44:35 EST
With no Xft.dpi resource set, I create an editor window with the text "Mlp" in
Liberation Mono 48 pt.
I then set Xft.dpi: 96 and create a second editor window with the same contents.
The text in the second window is visibly larger than the text in the first window.

Next, I create a screenshot of both windows side by side.
In the image I measure the distance between the top level of the "l" and the
bottom level of the "p" in pixels.

First: 54 px.
Second: 60 px.

My screen is 1024 px vertical, with a physical height of 302 mm. (Which the X
server correctly reports as 86 dpi, btw.)
By applying the rule of three I calculate the approximate size of the fonts in mm:

First: 15.936 mm.
Second: 17.695 mm.

For reference, 1 pt is about 0.3527 mm, so a 48 pt font has a body height of
about 16.9296 mm.

The distance between the level of the top of the "l" and the level of the bottom
of the "p" can only be smaller than or equal to the body height of the font.

As you can see, with Xft.dpi: 96 set, for a font that is supposed to be 48 pt it
is in fact larger than 48 pt.

How is any googling going to help with that?
Comment 3 Daniel Roesen 2008-01-10 19:14:55 EST
I also noticed wrong font sizes in F8. Will go and check wether it can be fixed
by removing the Xft.dpi resource.
Comment 4 Daniel Roesen 2008-01-10 19:43:56 EST
Having check both my laptop (FC4) and desktop (FC6), both are using fixed
Xft.dpi 96. I always used MiscFixed 10pt as my gnome-terminal font. Using F8,
this leads to the usual font rendering on my laptop (1400x1050 14" TFT), but not
on my desktop (1600x1200 20" TFT). On my desktop, I have to use MiscFixed 9.5pt
to get the usual font rendering. Removing the fixed Xft.dpi 96 setting does not
help.

So I do have some F8 font size artifacts, but they don't seem to be related to
the Xft.dpi setting.
Comment 5 Bug Zapper 2008-11-26 04:12:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Daniel Roesen 2008-12-03 06:49:45 EST
I can still replicate my issue regarding font size in Fedora 10, still need to use 9.5pt.

And there is still the hard-coded mismatch of DPI value in /etc/X11/Xresources:

[dr@trinity ~]$ cat /etc/X11/Xresources | grep ^Xft.dpi
Xft.dpi: 96
[dr@trinity ~]$ xdpyinfo | grep resolution
  resolution:    99x98 dots per inch
[dr@trinity ~]$ xrdb -query | grep dpi
Xft.dpi:	98.443359375
Comment 7 Bug Zapper 2009-11-18 04:33:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:02:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.